// 28038 1.1越权【高】 2022年7月7日
import { getIsBei_Dian } from '@/webPublic/zyd_public/utils/utils';
import config from '@/config/config';
import { getCurrentUser } from '@/webPublic/one_stop_public/utils/token';

export default function urlTransform(url) {
  if (url && url.indexOf(config.gateWayPort) > -1) {
    let uArr = url.split(config.gateWayPort);
    uArr[1] = uArr[1].replaceAll('\//', '\/');
    url = config.gateWayPort + uArr[1];
  }
  return url;

  /**
   * 暂时弃用
   * */
  if (!getIsBei_Dian()) {
    return url;
  }
  if (url && url.indexOf(config.gateWayPort) > -1) {
    let uArr = url.split(config.gateWayPort);
    uArr[1] = uArr[1].replaceAll('\//', '\/');
    url = config.gateWayPort + uArr[1];
  }
  // let u = url.split('://');
  let currentUser = getCurrentUser();
  if (!currentUser?.typeString) {
    // console.log('没有获取currentUser的typeString, 无法转换接口');
    return url;
  }
  if (url && url.indexOf('zydsgWeb') > -1) {
    url = url.replace('/zydsgWeb', '/zydsgWeb/safe' + currentUser.typeString);
  }
  return url;
}
